Bug 753550 - lvm snapshots nearly unusable with f16
lvm snapshots nearly unusable with f16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 05:49 EST by Enrico Scholz
Modified: 2013-02-13 11:27 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2011-11-13 05:49:43 EST
Description of problem:

Switch to f16 made working with LVM snapshots nearly impossible:

# /sbin/lvm lvcreate --quiet -p r -L 5G -s -n .data.backup vg01/data
  Internal error: Performing unsafe table load while 2 device(s) are known to be suspended:  (253:46) 

  --> 'hdparm -C' shows, that all harddrives are in active/idle state

# /bin/mount -o ro /dev/vg01/.data.backup /tmp/localbackup.8tMCfb/ROOTMNT
mount: /dev/mapper/vg01-data-real already mounted or /tmp/localbackup.8tMCfb/ROOTMNT busy

  --> ??? directory structure is /dev/vg01/.data.backup
   brw-rw----. 1 root disk 253, 31 12. Nov 05:08 /dev/dm-31
   lrwxrwxrwx. 1 root root       8 13. Nov 11:46 /dev/vg01/.data.backup -> ../dm-31

  why is there used '/dev/mapper/vg01-data-real'?

# lvremove /dev/vg01/.data.backup
Do you really want to remove active logical volume .data.backup? [y/n]: y
  LV vg01/.data.backup in use: not deactivating
  Unable to deactivate logical volume ".data.backup"

  --> this issue exists since fedora 12; when can we expect a solution?


Version-Release number of selected component (if applicable):

lvm2-2.02.86-5.fc16.x86_64
udisks-1.0.4-3.fc16.x86_64
util-linux-2.20.1-2.fc16.x86_64
Comment 1 Peter Rajnoha 2011-11-14 05:38:54 EST
(In reply to comment #0)
> Description of problem:
> 
> Switch to f16 made working with LVM snapshots nearly impossible:
> 
> # /sbin/lvm lvcreate --quiet -p r -L 5G -s -n .data.backup vg01/data
>   Internal error: Performing unsafe table load while 2 device(s) are known to
> be suspended:  (253:46) 

That internal error message has been added in lvm2 v2.02.86 to reveal situations which might cause problems under some conditions we might run into.

The patch that resolves the case you ran into (while using the "-p r" option) was added in v2.02.87 and this patch is not included in F16 build yet (http://www.redhat.com/archives/lvm-devel/2011-July/msg00090.html).

> 
>   --> 'hdparm -C' shows, that all harddrives are in active/idle state
> 

Use "dmsetup info" instead to see device-mapper suspended state. However, even if you look at the state of suspended devices after the command is run, you could still see that all devices are fine in active state - the internall error is issued during processing of the command when one of the steps while processing could be suspending related devices.

> # /bin/mount -o ro /dev/vg01/.data.backup /tmp/localbackup.8tMCfb/ROOTMNT
> mount: /dev/mapper/vg01-data-real already mounted or
> /tmp/localbackup.8tMCfb/ROOTMNT busy
> 
>   --> ??? directory structure is /dev/vg01/.data.backup
>    brw-rw----. 1 root disk 253, 31 12. Nov 05:08 /dev/dm-31
>    lrwxrwxrwx. 1 root root       8 13. Nov 11:46 /dev/vg01/.data.backup ->
> ../dm-31
> 
>   why is there used '/dev/mapper/vg01-data-real'?

Can you post the content of /dev/mapper directory and the list of mountpoints (output of "mount") when this happens?

> 
> # lvremove /dev/vg01/.data.backup
> Do you really want to remove active logical volume .data.backup? [y/n]: y
>   LV vg01/.data.backup in use: not deactivating
>   Unable to deactivate logical volume ".data.backup"
> 
>   --> this issue exists since fedora 12; when can we expect a solution?
> 

See bug #753105 comment #1 for further explanation...
Comment 2 Fedora End Of Life 2013-01-16 10:05:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 11:27:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.